searchNodes=[{"doc":"LiveViewNative keeps the contexts that define your domain and business logic. Contexts are also responsible for managing your data, regardless if it comes from the database, an external API or others.","ref":"LiveViewNative.html","title":"LiveViewNative","type":"module"},{"doc":"","ref":"LiveViewNative.html#platform/1","title":"LiveViewNative.platform/1","type":"function"},{"doc":"","ref":"LiveViewNative.html#platform!/1","title":"LiveViewNative.platform!/1","type":"function"},{"doc":"","ref":"LiveViewNative.html#platforms/0","title":"LiveViewNative.platforms/0","type":"function"},{"doc":"","ref":"LiveViewNative.html#start_simulator!/2","title":"LiveViewNative.start_simulator!/2","type":"function"},{"doc":"","ref":"LiveViewNative.Bindings.html","title":"LiveViewNative.Bindings","type":"module"},{"doc":"","ref":"LiveViewNative.Bindings.html#native_binding/3","title":"LiveViewNative.Bindings.native_binding/3","type":"macro"},{"doc":"Upgrades a Live Component to a Native Live Component when inherited with use LiveViewNative.Component like so: defmodule MyApp.MyComponent do use MyAppWeb , :live_component use LiveViewNative.Component # ... end","ref":"LiveViewNative.Component.html","title":"LiveViewNative.Component","type":"module"},{"doc":"This macro is largely responsible for upgrading a LiveView or Live Component to a module that supports LiveView Native. This macro should not be directly inherited by a LiveView or Live Component via use ; instead, those modules should use LiveViewNative.LiveView or LiveViewNative.LiveComponent respectively.","ref":"LiveViewNative.Extensions.html","title":"LiveViewNative.Extensions","type":"module"},{"doc":"LiveView Native extension that enables inline-rendering of templates for LiveView Native platforms within a LiveView or Live Component. Using this macro causes a module to inherit a Z/2 sigil that can be used to render templates inline by suffixing it with the platform's platform_id : defmodule MyAppWeb.HelloLive do use Phoenix.LiveView use LiveViewNative.LiveView @impl true def render ( %{ platform_id : :swiftui } = assigns ) do ~Z&quot;&quot;&quot; &lt;Text modifiers={@native |&gt; foreground_style(primary: {:color, :mint})}&gt; Hello from iOS! &lt;/Text&gt; &quot;&quot;&quot;ios end def render ( assigns ) do ~H&quot;&quot;&quot; &lt;div&gt;Hello from the web!&lt;/div&gt; &quot;&quot;&quot; end end","ref":"LiveViewNative.Extensions.InlineRender.html","title":"LiveViewNative.Extensions.InlineRender","type":"module"},{"doc":"LiveView Native extension for platform-specific modifiers. Modifiers refer to properties that affect the behavior and visual presentation of native components, such as alignment, visibility, styling, and so on. Each platform library defines its own set of supported modifiers as well as how to encode those modifiers before they are returned from the LiveView server to the client. Each modifier for a platform is exposed to its platform-specific templates as a function named after the modifier and taking one argument, the @native assign. These function names may overlap between platforms that co-mingle within a LiveView Native application without conflict, thanks to each platform having its own render context as part of LiveViewNative.Extensions.Render .","ref":"LiveViewNative.Extensions.Modifiers.html","title":"LiveViewNative.Extensions.Modifiers","type":"module"},{"doc":"LiveView Native extension for swapping the render/1 function when rendering for specific platforms from a LiveView or Live Component. Using this macro causes a module to inherit a render_native/1 function which takes a map of assigns and calls render/1 on the render module for the calling platform as defined by the LiveViewNativePlatform.Context struct set to the :native assign. The module where that platform-specific render/1 function lives is derived by concatenating the LiveView or LiveComponent's module name with the platform context struct's template_namespace and should be automatically generated from a LiveView or Live Component that uses LiveViewNative.LiveView or LiveViewNative.LiveComponent respectively. This extension effectively allows a native-enabled LiveView or Live Component to support a distinct render context for each platform, allowing for platform-specific templates, modifiers, etc.","ref":"LiveViewNative.Extensions.Render.html","title":"LiveViewNative.Extensions.Render","type":"module"},{"doc":"LiveView Native extension for rendering platform-specific templates. Takes the following parameters which are typically derived from a Macro.Env struct: tag_handler (optional) - a module implementation of Phoenix.LiveView.TagEngine template_basename - base filename of the template template_directory - root path of the template template_extension - file extension of the template If a template file and engine exist for the given parameters, a render/1 function is generated which renders the template using that template engine.","ref":"LiveViewNative.Extensions.Templates.html","title":"LiveViewNative.Extensions.Templates","type":"module"},{"doc":"","ref":"LiveViewNative.JSONCoercable.html","title":"LiveViewNative.JSONCoercable","type":"protocol"},{"doc":"","ref":"LiveViewNative.JSONCoercable.html#from_json/1","title":"LiveViewNative.JSONCoercable.from_json/1","type":"function"},{"doc":"","ref":"LiveViewNative.JSONCoercable.html#to_json/1","title":"LiveViewNative.JSONCoercable.to_json/1","type":"function"},{"doc":"","ref":"LiveViewNative.JSONCoercable.html#t:json_value/0","title":"LiveViewNative.JSONCoercable.json_value/0","type":"type"},{"doc":"","ref":"LiveViewNative.JSONCoercable.html#t:t/0","title":"LiveViewNative.JSONCoercable.t/0","type":"type"},{"doc":"Upgrades a Live Component to a Native Live Component when inherited with use LiveViewNative.LiveComponent like so: defmodule MyApp.MyComponent do use MyAppWeb , :live_component use LiveViewNative.LiveComponent # ... end","ref":"LiveViewNative.LiveComponent.html","title":"LiveViewNative.LiveComponent","type":"module"},{"doc":"Ensures common assigns are applied to all LiveViews attaching this hook.","ref":"LiveViewNative.LiveSession.html","title":"LiveViewNative.LiveSession","type":"module"},{"doc":"","ref":"LiveViewNative.LiveSession.html#on_mount/4","title":"LiveViewNative.LiveSession.on_mount/4","type":"function"},{"doc":"Upgrades a LiveView to a Native LiveView when inherited with use LiveViewNative.LiveView like so: defmodule MyApp.MyLive do use MyAppWeb , :live_view use LiveViewNative.LiveView # ... end","ref":"LiveViewNative.LiveView.html","title":"LiveViewNative.LiveView","type":"module"},{"doc":"Provides configuration constants about all platforms supported by an application that uses LiveView Native. This module is a dependency of various LiveView Native systems, such as LiveViewNative.LiveSession which is responsible for determining which platform (web, iOS, etc.) a session originates from.","ref":"LiveViewNative.Platforms.html","title":"LiveViewNative.Platforms","type":"module"},{"doc":"","ref":"LiveViewNative.Platforms.html#env_platform/1","title":"LiveViewNative.Platforms.env_platform/1","type":"function"},{"doc":"","ref":"LiveViewNative.Platforms.html#env_platforms/0","title":"LiveViewNative.Platforms.env_platforms/0","type":"function"},{"doc":"","ref":"LiveViewNative.Platforms.Web.html","title":"LiveViewNative.Platforms.Web","type":"module"},{"doc":"","ref":"LiveViewNative.TagEngine.html","title":"LiveViewNative.TagEngine","type":"module"},{"doc":"Callback implementation for Phoenix.LiveView.TagEngine.classify_type/1 .","ref":"LiveViewNative.TagEngine.html#classify_type/1","title":"LiveViewNative.TagEngine.classify_type/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveView.TagEngine.void?/1 .","ref":"LiveViewNative.TagEngine.html#void?/1","title":"LiveViewNative.TagEngine.void?/1","type":"function"}]